Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class DOMViewer.Panel.TreePopUpListener

    java.lang.Object
      java.awt.event.MouseAdapter
          org.apache.batik.apps.svgbrowser.DOMViewer.Panel.TreePopUpListener

All Implemented Interfaces:
  MouseListener, MouseMotionListener, MouseWheelListener, EventListener

Enclosing class:
  DOMViewer.Panel

    protected class DOMViewer.Panel.TreePopUpListener

extends MouseAdapter

Tree popup listener.

Field Summary
`protected JPopupMenu` | `treePopupMenu` The actual pop-up menu.

Constructor Summary
`DOMViewer.Panel.TreePopUpListener()` Creates new pop up listener.

Method Summary
`void` | `mousePressed(MouseEvent e)`
`void` | `mouseReleased(MouseEvent e)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseWheelMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### treePopupMenu

    protected JPopupMenu treePopupMenu

  The actual pop-up menu.

Constructor Detail

### DOMViewer.Panel.TreePopUpListener

    public DOMViewer.Panel.TreePopUpListener()

  Creates new pop up listener.

Method Detail

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `MouseAdapter`

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `MouseAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.